geo_nearest< T, M >

## Public Types

typedef disarray< T, M >::size_type | size_type

## Public Member Functions

| geo_nearest ()
| geo_nearest (const geo_nearest< T, M > &)
geo_nearest< T, M > & | operator= (const geo_nearest< T, M > &)
| ~geo_nearest ()
size_type | seq_nearest (const geo_base_rep< T, M > &omega, const point_basic< T > &x, point_basic< T > &x_nearest) const
size_type | dis_nearest (const geo_base_rep< T, M > &omega, const point_basic< T > &x, point_basic< T > &x_nearest) const

## Static Public Member Functions

static geo_nearest_abstract_rep< T, M > * | make_ptr (const geo_base_rep< T, M > &omega)

## Protected Attributes

geo_nearest_abstract_rep< T, M > * | _ptr

## Detailed Description

### template<class T, class M>
class rheolef::geo_nearest< T, M >

Definition at line 41 of file geo_nearest.h.

## Member Typedef Documentation

## size_type

typedef disarray<T,M>::size_type size_type

Definition at line 43 of file geo_nearest.h.

## Constructor & Destructor Documentation

## geo_nearest() [1/2]

geo_nearest | ( |  | ) |

Definition at line 44 of file geo_nearest.h.

## geo_nearest() [2/2]

geo_nearest | ( | const geo_nearest< T, M > & |  | ) |

Definition at line 45 of file geo_nearest.h.

## ~geo_nearest()

~geo_nearest

Definition at line 54 of file geo_nearest.cc.

## Member Function Documentation

## operator=()

geo_nearest<T,M>& operator= | ( | const geo_nearest< T, M > & |  | ) |

Definition at line 46 of file geo_nearest.h.

## make_ptr()

geo_nearest_abstract_rep< T, M > * make_ptr | ( | const geo_base_rep< T, M > & | omega | ) |

static

Definition at line 317 of file geo_nearest.cc.

## seq_nearest()

geo_nearest< T, M >::size_type seq_nearest | ( | const geo_base_rep< T, M > & | omega,
|  | const point_basic< T > & | x,
|  | point_basic< T > & | x_nearest
| ) |  | const

Definition at line 62 of file geo_nearest.cc.

## dis_nearest()

geo_nearest< T, M >::size_type dis_nearest | ( | const geo_base_rep< T, M > & | omega,
|  | const point_basic< T > & | x,
|  | point_basic< T > & | x_nearest
| ) |  | const

Definition at line 72 of file geo_nearest.cc.

## Member Data Documentation

## _ptr

geo_nearest_abstract_rep<T,M>* _ptr

mutable protected

Definition at line 59 of file geo_nearest.h.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/geo_nearest.h
- /build/rheolef-FQTnje/rheolef-7.1/main/lib/geo_nearest.cc